export function AnalyticsSQLVisitor(): this;
export class AnalyticsSQLVisitor {
    constructor: typeof AnalyticsSQLVisitor;
    visitSingleStatement(ctx: any): any;
    visitSingleSQLStatement(ctx: any): any;
    visitCreateWandTable(ctx: any): any;
    visitCreateWandTableHeader(ctx: any): any;
    visitCommentSpec(ctx: any): any;
    visitQuery(ctx: any): any;
    visitKeyWordSepc(ctx: any): any;
    visitAsQuery(ctx: any): any;
    visitMultipartAsQuery(ctx: any): any;
    visitMultipartAsQueryList(ctx: any): any;
    visitQueryOrganization(ctx: any): any;
    visitQueryTermDefault(ctx: any): any;
    visitSetOperation(ctx: any): any;
    visitQueryPrimaryDefault(ctx: any): any;
    visitSubquery(ctx: any): any;
    visitSortItem(ctx: any): any;
    visitFromStatement(ctx: any): any;
    visitFromStatementBody(ctx: any): any;
    visitRegularQuerySpecification(ctx: any): any;
    visitSelectClause(ctx: any): any;
    visitWhereClause(ctx: any): any;
    visitHavingClause(ctx: any): any;
    visitHint(ctx: any): any;
    visitHintStatement(ctx: any): any;
    visitFromClause(ctx: any): any;
    visitAggregationClause(ctx: any): any;
    visitGroupingSet(ctx: any): any;
    visitPivotClause(ctx: any): any;
    visitPivotColumn(ctx: any): any;
    visitPivotValue(ctx: any): any;
    visitLateralView(ctx: any): any;
    visitSetQuantifier(ctx: any): any;
    visitRelation(ctx: any): any;
    visitJoinRelation(ctx: any): any;
    visitJoinType(ctx: any): any;
    visitJoinCriteria(ctx: any): any;
    visitSample(ctx: any): any;
    visitSampleByPercentile(ctx: any): any;
    visitSampleByRows(ctx: any): any;
    visitSampleByBucket(ctx: any): any;
    visitSampleByBytes(ctx: any): any;
    visitIdentifierList(ctx: any): any;
    visitIdentifierSeq(ctx: any): any;
    visitTableName(ctx: any): any;
    visitAliasedQuery(ctx: any): any;
    visitAliasedRelation(ctx: any): any;
    visitInlineTableDefault2(ctx: any): any;
    visitTableValuedFunction(ctx: any): any;
    visitInlineTable(ctx: any): any;
    visitFunctionTable(ctx: any): any;
    visitTableAlias(ctx: any): any;
    visitMultipartIdentifier(ctx: any): any;
    visitNamedExpression(ctx: any): any;
    visitNamedExpressionSeq(ctx: any): any;
    visitExpression(ctx: any): any;
    visitLogicalNot(ctx: any): any;
    visitPredicated(ctx: any): any;
    visitExists(ctx: any): any;
    visitLogicalBinary(ctx: any): any;
    visitPredicate(ctx: any): any;
    visitValueExpressionDefault(ctx: any): any;
    visitComparison(ctx: any): any;
    visitArithmeticBinary(ctx: any): any;
    visitArithmeticUnary(ctx: any): any;
    visitStruct(ctx: any): any;
    visitDereference(ctx: any): any;
    visitSimpleCase(ctx: any): any;
    visitColumnReference(ctx: any): any;
    visitRowConstructor(ctx: any): any;
    visitLast(ctx: any): any;
    visitStar(ctx: any): any;
    visitOverlay(ctx: any): any;
    visitSubscript(ctx: any): any;
    visitSubqueryExpression(ctx: any): any;
    visitSubstring(ctx: any): any;
    visitCurrentDatetime(ctx: any): any;
    visitCast(ctx: any): any;
    visitConstantDefault(ctx: any): any;
    visitLambda(ctx: any): any;
    visitParenthesizedExpression(ctx: any): any;
    visitExtract(ctx: any): any;
    visitTrim(ctx: any): any;
    visitFunctionCall(ctx: any): any;
    visitSearchedCase(ctx: any): any;
    visitPosition(ctx: any): any;
    visitFirst(ctx: any): any;
    visitNullLiteral(ctx: any): any;
    visitIntervalLiteral(ctx: any): any;
    visitTypeConstructor(ctx: any): any;
    visitNumericLiteral(ctx: any): any;
    visitBooleanLiteral(ctx: any): any;
    visitStringLiteral(ctx: any): any;
    visitComparisonOperator(ctx: any): any;
    visitBooleanValue(ctx: any): any;
    visitInterval(ctx: any): any;
    visitErrorCapturingMultiUnitsInterval(ctx: any): any;
    visitMultiUnitsInterval(ctx: any): any;
    visitErrorCapturingUnitToUnitInterval(ctx: any): any;
    visitUnitToUnitInterval(ctx: any): any;
    visitIntervalValue(ctx: any): any;
    visitIntervalUnit(ctx: any): any;
    visitComplexDataType(ctx: any): any;
    visitPrimitiveDataType(ctx: any): any;
    visitComplexColTypeList(ctx: any): any;
    visitComplexColType(ctx: any): any;
    visitWhenClause(ctx: any): any;
    visitWindowClause(ctx: any): any;
    visitNamedWindow(ctx: any): any;
    visitWindowRef(ctx: any): any;
    visitWindowDef(ctx: any): any;
    visitWindowFrame(ctx: any): any;
    visitFrameBound(ctx: any): any;
    visitFunctionName(ctx: any): any;
    visitQualifiedName(ctx: any): any;
    visitErrorCapturingIdentifier(ctx: any): any;
    visitErrorIdent(ctx: any): any;
    visitRealIdent(ctx: any): any;
    visitIdentifier(ctx: any): any;
    visitUnquotedIdentifier(ctx: any): any;
    visitQuotedIdentifierAlternative(ctx: any): any;
    visitQuotedIdentifier(ctx: any): any;
    visitExponentLiteral(ctx: any): any;
    visitDecimalLiteral(ctx: any): any;
    visitLegacyDecimalLiteral(ctx: any): any;
    visitIntegerLiteral(ctx: any): any;
    visitBigIntLiteral(ctx: any): any;
    visitSmallIntLiteral(ctx: any): any;
    visitTinyIntLiteral(ctx: any): any;
    visitDoubleLiteral(ctx: any): any;
    visitBigDecimalLiteral(ctx: any): any;
    visitAnsiNonReserved(ctx: any): any;
    visitStrictNonReserved(ctx: any): any;
    visitNonReserved(ctx: any): any;
}
